Debian Bug report logs - #582358
impossible to override offline mode when using network-manager

version graph

Package: evolution; Maintainer for evolution is Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>; Source for evolution is src:evolution.

Reported by: Torsten Landschoff <t.landschoff@gmx.net>

Date: Thu, 20 May 2010 07:30:02 UTC

Severity: important

Tags: jessie, sid, squeeze, upstream, wheezy

Merged with 549451, 584200, 587302, 587325, 590547, 594072, 597147, 599722, 601340

Found in versions evolution/2.30.2-1, evolution/2.30.3-1, evolution/2.30.1.2-2, evolution/2.30.3-5, evolution/2.28.0-2, evolution/2.30.1.2-3, evolution/3.2.2-1, evolution/3.4.3-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#582358; Package evolution. (Thu, 20 May 2010 07:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <t.landschoff@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Thu, 20 May 2010 07:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <t.landschoff@gmx.net>
To: submit@bugs.debian.org
Subject: Refuses to connect when network-manager installed
Date: Thu, 20 May 2010 09:27:43 +0200
Package: evolution
Version: 2.30.1.2-2
Severity: normal
Tags: sid

Hi Evolution packagers.

After upgrading my system yesterday, I was unable to read email using
evolution today. Everything related to working online (including the
"Work offline" menu item) was grayed out.

What's worse, there is no feedback from evolution as to why it would not
allow me to get my new email. After fighting pidgin on a netbook for
hours I guessed the problem is the same thing: Without asking the user
or leaving any loophole, the "$&%!"$ software relies on the indication
of network-manager if the system is online.

However, I did not willingly install network manager on this system. I
wanted to try the current KDE and installing kde pulled network manager
in. Given that I don't want a complex software managing my GBit local
ethernet adapter (ifup works fine, while network-manager has failed me
many times), I went ahead and removed network-manager and anything
related from my system.

After restarting evolution, I can now use it again.

Having to fight the system to tell it that the network is in fact
available feels like the worst days of Windows usage for me. Can we stop
going that "user-friendly" route?

I am not directly opposed to using network-manager as indication that
the system is offline. However, it should be easy to find out (using a
tooltip on the grayed menu entry, anything that pops up automatically).
I consider refusing to work without any indication as quite childish.


As you can see from the length of the email, this tripped a nerve for
me. I hope you can understand my point and coordinate with upstream to
improve the situation.

Thanks for your work!

Torsten


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages evolution depends on:
ii  dbus                    1.2.24-1         simple interprocess
messaging syst
ii  debconf [debconf-2.0]   1.5.32           Debian configuration
management sy
ii  evolution-common        2.30.1.2-2       architecture independent
files for
ii  evolution-data-server   2.30.1-4         evolution database backend
server
ii  gconf2                  2.28.1-3         GNOME configuration
database syste
ii  gnome-icon-theme        2.30.2.1-1       GNOME Desktop icon theme
ii  libart-2.0-2            2.3.21-1         Library of functions for 2D
graphi
ii  libatk1.0-0             1.30.0-1         The ATK accessibility
toolkit
ii  libc6                   2.10.2-8         Embedded GNU C Library:
Shared lib
ii  libcairo2               1.8.10-4         The Cairo 2D vector
graphics libra
ii  libcamel1.2-14          2.30.1-4         The Evolution MIME message
handlin
ii  libcanberra-gtk0        0.24-1           Gtk+ helper for playing
widget eve
ii  libcanberra0            0.24-1           a simple abstract interface
for pl
ii  libdbus-1-3             1.2.24-1         simple interprocess
messaging syst
ii  libdbus-glib-1-2        0.86-1           simple interprocess
messaging syst
ii  libebackend1.2-0        2.30.1-4         Utility library for
evolution data
ii  libebook1.2-9           2.30.1-4         Client library for
evolution addre
ii  libecal1.2-7            2.30.1-4         Client library for
evolution calen
ii  libedataserver1.2-11    2.30.1-4         Utility library for
evolution data
ii  libedataserverui1.2-8   2.30.1-4         GUI utility library for
evolution 
ii  libegroupwise1.2-13     2.30.1-4         Client library for
accessing group
ii  libenchant1c2a          1.4.2-3.6        a wrapper library for
various spel
ii  libevolution            2.30.1.2-2       evolution libraries
ii  libfontconfig1          2.8.0-2.1        generic font configuration
library
ii  libfreetype6            2.3.11-1         FreeType 2 font engine,
shared lib
ii  libgconf2-4             2.28.1-3         GNOME configuration
database syste
ii  libgdata-google1.2-1    2.30.1-4         Client library for
accessing Googl
ii  libgdata1.2-1           2.30.1-4         Client library for
accessing Googl
ii  libglib2.0-0            2.24.1-1         The GLib library of C
routines
ii  libgnome-desktop-2-17   2.30.0-2         Utility library for
loading .deskt
ii  libgnomecanvas2-0       2.30.1-1         A powerful object-oriented
display
ii  libgtk2.0-0             2.20.1-1         The GTK+ graphical user
interface 
ii  libgtkhtml-editor0      3.30.1-2         HTML rendering/editing
library - e
ii  libgtkhtml3.14-19       3.30.1-2         HTML rendering/editing
library - r
ii  libgweather1            2.30.0-2         GWeather shared library
ii  libical0                0.44-3           iCalendar library
implementation i
ii  libice6                 2:1.0.6-1        X11 Inter-Client Exchange
library
ii  libnotify1 [libnotify1- 0.4.5-1          sends desktop notifications
to a n
ii  libnspr4-0d             4.8.4-1          NetScape Portable Runtime
Library
ii  libnss3-1d              3.12.6-2         Network Security Service
libraries
ii  libpango1.0-0           1.28.0-1         Layout and rendering of
internatio
ii  libsm6                  2:1.1.1-1        X11 Session Management
library
ii  libsoup2.4-1            2.30.1-1         an HTTP library
implementation in 
ii  libsqlite3-0            3.6.23.1-2       SQLite 3 shared library
ii  libstartup-notification 0.10-1           library for program launch
feedbac
ii  libunique-1.0-0         1.1.6-1          Library for writing single
instanc
ii  libxml2                 2.7.7.dfsg-2     GNOME XML library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library -
runtime

Versions of packages evolution recommends:
ii  bogofilter                    1.2.1-2    a fast Bayesian spam filter
(dummy
ii  evolution-plugins             2.30.1.2-2 standard plugins for
Evolution
ii  evolution-webcal              2.28.0-1   webcal: URL handler for
GNOME and 
ii  gnome-desktop-data            2.30.0-2   Common files for GNOME
desktop app
pn  yelp                          <none>     (no description available)

Versions of packages evolution suggests:
ii  bug-buddy                  2.30.0+dfsg-1 GNOME Desktop Environment
bug repo
pn  evolution-dbg              <none>        (no description available)
pn  evolution-exchange         <none>        (no description available)
pn  evolution-plugins-experime <none>        (no description available)
ii  gnupg                      1.4.10-3      GNU privacy guard - a free
PGP rep
pn  network-manager            <none>        (no description available)

-- debconf information:
  evolution/needs_shutdown:





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#582358; Package evolution. (Fri, 21 May 2010 06:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Fri, 21 May 2010 06:48:06 GMT) Full text and rfc822 format available.

Message #10 received at 582358@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Torsten Landschoff <t.landschoff@gmx.net>, 582358@bugs.debian.org
Subject: Re: [Evolution] Bug#582358: Refuses to connect when network-manager installed
Date: Fri, 21 May 2010 08:43:26 +0200
[Message part 1 (text/plain, inline)]
On jeu., 2010-05-20 at 09:27 +0200, Torsten Landschoff wrote:
> Having to fight the system to tell it that the network is in fact
> available feels like the worst days of Windows usage for me. Can we stop
> going that "user-friendly" route?

Like it or not, people do want that. And, as you noticed, you're not
forced to use network-manager (as a matter of fact, I don't, which is
why I didn't really detected the network-manager support was disabled in
2.28).
> 
> I am not directly opposed to using network-manager as indication that
> the system is offline. However, it should be easy to find out (using a
> tooltip on the grayed menu entry, anything that pops up automatically).
> I consider refusing to work without any indication as quite childish. 

If it's just an indication, it's useless. As I see it, the goal is to
prevent unneeded, time/power/cpu/network consuming connection, when you
know there's no chance they'll survive. If you don't like being
patronized (which I can get), yes, you should get rid of
network-manager.

Now, maybe an indication in the menu saying why evolution is offline
might be helpful (though “offline because offline” might not exactly be
helpful, and afaiui the system offline state could be set by something
else than network-manager). Please report upstream issues like this
directly on upstream bugzilla, I don't have time to handle all bug
reports on evolution stack, sorry.

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#582358; Package evolution. (Sun, 27 Jun 2010 13:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 13:30:06 GMT) Full text and rfc822 format available.

Message #15 received at 582358@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: clohr <christophe.lohr@cegetel.net>, 587302@bugs.debian.org, 584200@bugs.debian.org, 584200-submitter@bugs.debian.org, 582358@bugs.debian.org, 582358-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Evolution] Bug#587302: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 14:22:14 +0200
[Message part 1 (text/plain, inline)]
retitle 582358 impossible to override offline mode when using network-manager
forcemerge 582358 584200 587302
thanks

On dim., 2010-06-27 at 10:51 +0200, clohr wrote:
> Evolution assumes that Network Manager is the only way to have network on a
> system. Note that interfaces can either be managed by "/etc/network/interfaces"
> or by Network Manager. However, if interfaces managed by NM are disconected,
> Evo thinks there is no network at all, and start offline. Moreover, it refuses
> to switch to online mode, eaven if the user requests it.
> 
> Possible workarround: before using Evo in online mode, plase ask first your
> system administrator to disable Network Manager, or to unisnstall it. ;-) 

Doesn't this sound like #584200 or #582358?

Now, like for all the other bug reports, I don't have network-manager
(and I'm not interested in it), so I can't test. Maybe there's a bug and
people should be able to override the offline mode even when using
network-manager (though imho the whole point of NM is to give it your
network keys and let it do what it want, if you don't like it, don't use
it at all). But I have no way to check, so your best bet is to open the
bug *upstream* (there's now a text asking for that when using
reportbug), so you can explain exactly the wanted behavior and argue
with them (check before if there's no upstream issue already opened,
though)

Regards,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'impossible to override offline mode when using network-manager' from 'Refuses to connect when network-manager installed' Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 13:30:11 GMT) Full text and rfc822 format available.

Forcibly Merged 582358 584200 587302. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 13:30:12 GMT) Full text and rfc822 format available.

Message sent on to Torsten Landschoff <t.landschoff@gmx.net>:
Bug#582358. (Sun, 27 Jun 2010 13:30:16 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 13:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#582358; Package evolution. (Sun, 27 Jun 2010 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Lohr <christophe.lohr@cegetel.net>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Sun, 27 Jun 2010 14:15:03 GMT) Full text and rfc822 format available.

Message #29 received at 582358@bugs.debian.org (full text, mbox):

From: Christophe Lohr <christophe.lohr@cegetel.net>
To: Yves-Alexis Perez <corsac@debian.org>
Cc: 587302@bugs.debian.org, 584200@bugs.debian.org, 584200-submitter@bugs.debian.org, 582358@bugs.debian.org, 582358-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Evolution] Bug#587302: evolution: Forced offline by error
Date: Sun, 27 Jun 2010 16:11:55 +0200
Le 27/06/2010 14:22, Yves-Alexis Perez a écrit :
> retitle 582358 impossible to override offline mode when using network-manager
> forcemerge 582358 584200 587302
> thanks
>
> On dim., 2010-06-27 at 10:51 +0200, clohr wrote:
>    
>> Evolution assumes that Network Manager is the only way to have network on a
>> system. Note that interfaces can either be managed by "/etc/network/interfaces"
>> or by Network Manager. However, if interfaces managed by NM are disconected,
>> Evo thinks there is no network at all, and start offline. Moreover, it refuses
>> to switch to online mode, eaven if the user requests it.
>>
>> Possible workarround: before using Evo in online mode, please ask first your
>> system administrator to disable Network Manager, or to unisnstall it. ;-)
>>      
> Doesn't this sound like #584200 or #582358?
>    

Sorry, you're right.

> Now, like for all the other bug reports, I don't have network-manager
> (and I'm not interested in it), so I can't test. Maybe there's a bug and
> people should be able to override the offline mode even when using
> network-manager

I'm ok if Evo asks NM about network interfaces, and _suggests_ the 
offline mode.
However:
- Evo should look at interfaces not managed by NM;
- the user must be able to change this descision.


> (though imho the whole point of NM is to give it your
> network keys and let it do what it want, if you don't like it, don't use
> it at all).

More precisely: NM do what it want for a given set of interfaces. A 
system may have several interfaces, some are managed by NM, other not.

> But I have no way to check, so your best bet is to open the
> bug *upstream* (there's now a text asking for that when using
> reportbug), so you can explain exactly the wanted behavior and argue
> with them (check before if there's no upstream issue already opened,
> though)
>    

Thank you.

Regards






Message sent on to Torsten Landschoff <t.landschoff@gmx.net>:
Bug#582358. (Sun, 27 Jun 2010 14:15:14 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Sun, 27 Jun 2010 14:57:09 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=624738'. Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Mon, 19 Jul 2010 14:09:05 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Tue, 27 Jul 2010 09:15:08 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Wed, 25 Aug 2010 06:06:03 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072 597147. Request was from Yves-Alexis Perez <corsac@debian.org> to control@bugs.debian.org. (Fri, 17 Sep 2010 05:57:05 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=624738, merged-upstream: http://bugzilla.gnome.org/show_bug.cgi?id=624701' from 'https://bugzilla.gnome.org/show_bug.cgi?id=624738' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 14 Oct 2010 18:15:47 GMT) Full text and rfc822 format available.

Forcibly Merged 549451 582358 584200 587302 587325 590547 594072 597147 601340. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sat, 01 Jan 2011 15:54:06 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:31 GMT) Full text and rfc822 format available.

Marked as found in versions evolution/2.30.3-5 and evolution/3.2.2-1. Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 11:33:48 GMT) Full text and rfc822 format available.

Merged 549451 582358 584200 587302 587325 590547 594072 597147 599722 601340 Request was from Noël Köthe <noel@debian.org> to control@bugs.debian.org. (Sun, 25 Mar 2012 11:33:54 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#582358; Package evolution. (Wed, 10 Oct 2012 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juergen Kosel <juergen.kosel@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Wed, 10 Oct 2012 17:33:04 GMT) Full text and rfc822 format available.

Message #57 received at 582358@bugs.debian.org (full text, mbox):

From: Juergen Kosel <juergen.kosel@gmx.de>
To: Debian Bug Tracking System <582358@bugs.debian.org>
Subject: Re: impossible to override offline mode when using network-manager
Date: Wed, 10 Oct 2012 19:13:41 +0200
Package: evolution
Version: 3.4.3-1
Followup-For: Bug #582358

Dear Maintainer,

the installation of network-manager was enforced by dependencies to gnome
to my system and is also "suggested" by evolution.
But the connection to the internet/LAN is configured reliable by if-up.
So there is no need use network-manager, even it is installed.

Unfortunally evolution shows the "user friendlyness" of Windows 3.11:
It refuses to access the reachable internet!


Greetings
	Juergen

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/dash

Versions of packages evolution depends on:
ii  dbus                     1.6.8-1
ii  debconf [debconf-2.0]    1.5.46
ii  evolution-common         3.4.3-1
ii  evolution-data-server    3.4.3-1
ii  gconf-service            3.2.5-1+build1
ii  gconf2                   3.2.5-1+build1
ii  gnome-icon-theme         3.4.0-2
ii  libatk1.0-0              2.4.0-2
ii  libc6                    2.13-35
ii  libcairo-gobject2        1.12.2-2
ii  libcairo2                1.12.2-2
ii  libcamel-1.2-33          3.4.3-1
ii  libclutter-gtk-1.0-0     1.2.0-2
ii  libdbus-glib-1-2         0.100-1
ii  libebackend-1.2-2        3.4.3-1
ii  libebook-1.2-13          3.4.3-1
ii  libecal-1.2-11           3.4.3-1
ii  libedataserver-1.2-16    3.4.3-1
ii  libedataserverui-3.0-1   3.4.3-1
ii  libenchant1c2a           1.6.0-7
ii  libevolution             3.4.3-1
ii  libgail-3-0              3.4.2-4
ii  libgconf-2-4             3.2.5-1+build1
ii  libgdata13               0.12.0-1
ii  libgdk-pixbuf2.0-0       2.26.1-1
ii  libglib2.0-0             2.32.3-1
ii  libgnome-desktop-3-2     3.4.2-1
ii  libgtk-3-0               3.4.2-4
ii  libgtkhtml-4.0-0         4.4.3-1
ii  libgtkhtml-editor-4.0-0  4.4.3-1
ii  libgweather-3-0          3.4.1-1+build1
ii  libical0                 0.48-2
ii  libmx-1.0-2              1.4.6-1
ii  libnotify4               0.7.5-1
ii  libnspr4                 2:4.9.2-1
ii  libnspr4-0d              2:4.9.2-1
ii  libnss3                  2:3.13.6-1
ii  libnss3-1d               2:3.13.6-1
ii  libpango1.0-0            1.30.0-1
ii  libsoup2.4-1             2.38.1-2
ii  libsqlite3-0             3.7.13-1
ii  libxml2                  2.8.0+dfsg1-5
ii  psmisc                   22.19-1

Versions of packages evolution recommends:
pn  bogofilter | spamassassin  <none>
ii  evolution-plugins          3.4.3-1
ii  evolution-webcal           2.32.0-2+b1
ii  yelp                       3.4.2-1+b1

Versions of packages evolution suggests:
pn  evolution-dbg                   <none>
ii  evolution-exchange              3.4.3-2
pn  evolution-plugins-experimental  <none>
ii  gnupg                           1.4.12-4+b1
ii  network-manager                 0.9.4.0-6

-- debconf information:
  evolution/needs_shutdown:
  evolution/kill_processes:



Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:34:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:11:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.